Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TimeBaseC.cpp File Reference

`#include "TimeBaseC.h"`
`#include "tao/Stub.h"`
`#include "tao/Invocation.h"`
`#include "tao/RequestInfo_Util.h"`
`#include "TimeBaseC.i"`

Include dependency graph for TimeBaseC.cpp:

## Functions
CORBA::TypeCode | _tc_TAO_tc_TimeBase_TimeT ( CORBA::tk_alias, sizeof (_oc_TimeBase_TimeT), (char *) &_oc_TimeBase_TimeT, 0, sizeof (TimeBase::TimeT) )
CORBA::TypeCode | _tc_TAO_tc_TimeBase_InaccuracyT ( CORBA::tk_alias, sizeof (_oc_TimeBase_InaccuracyT), (char *) &_oc_TimeBase_InaccuracyT, 0, sizeof (TimeBase::InaccuracyT) )
CORBA::TypeCode | _tc_TAO_tc_TimeBase_TdfT ( CORBA::tk_alias, sizeof (_oc_TimeBase_TdfT), (char *) &_oc_TimeBase_TdfT, 0, sizeof (TimeBase::TdfT) )
CORBA::TypeCode | _tc_TAO_tc_TimeBase_UtcT ( CORBA::tk_struct, sizeof (_oc_TimeBase_UtcT), (char *) &_oc_TimeBase_UtcT, 0, sizeof (TimeBase::UtcT) )
CORBA::TypeCode | _tc_TAO_tc_TimeBase_IntervalT ( CORBA::tk_struct, sizeof (_oc_TimeBase_IntervalT), (char *) &_oc_TimeBase_IntervalT, 0, sizeof (TimeBase::IntervalT) )
void | operator<<= (CORBA::Any &_tao_any, const TimeBase::UtcT &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TimeBase::UtcT *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TimeBase::UtcT *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TimeBase::UtcT *&_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, const TimeBase::IntervalT &_tao_elem)
void | operator<<= (CORBA::Any &_tao_any, TimeBase::IntervalT *_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, TimeBase::IntervalT *&_tao_elem)
CORBA::Boolean | operator>>= (const CORBA::Any &_tao_any, const TimeBase::IntervalT *&_tao_elem)
## Variables
const CORBA::Long | _oc_TimeBase_TimeT []
const CORBA::Long | _oc_TimeBase_IntervalT []

## Function Documentation

CORBA::TypeCode _tc_TAO_tc_TimeBase_InaccuracyT ( | CORBA::tk_alias,
| sizeof(_oc_TimeBase_InaccuracyT),
| (char *)& _oc_TimeBase_InaccuracyT,
| 0,
| sizeof(TimeBase::InaccuracyT) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TimeBase_IntervalT ( | CORBA::tk_struct,
| sizeof(_oc_TimeBase_IntervalT),
| (char *)& _oc_TimeBase_IntervalT,
| 0,
| sizeof(TimeBase::IntervalT) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TimeBase_TdfT ( | CORBA::tk_alias,
| sizeof(_oc_TimeBase_TdfT),
| (char *)& _oc_TimeBase_TdfT,
| 0,
| sizeof(TimeBase::TdfT) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TimeBase_TimeT ( | CORBA::tk_alias,
| sizeof(_oc_TimeBase_TimeT),
| (char *)& _oc_TimeBase_TimeT,
| 0,
| sizeof(TimeBase::TimeT) )`[static]`

CORBA::TypeCode _tc_TAO_tc_TimeBase_UtcT ( | CORBA::tk_struct,
| sizeof(_oc_TimeBase_UtcT),
| (char *)& _oc_TimeBase_UtcT,
| 0,
| sizeof(TimeBase::UtcT) )`[static]`

void operator<<= ( | CORBA::Any & _tao_any,
| TimeBase::IntervalT * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const TimeBase::IntervalT & _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| TimeBase::UtcT * _tao_elem )

void operator<<= ( | CORBA::Any & _tao_any,
| const TimeBase::UtcT & _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const TimeBase::IntervalT *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| TimeBase::IntervalT *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| const TimeBase::UtcT *& _tao_elem )

CORBA::Boolean operator>>= ( | const CORBA::Any & _tao_any,
| TimeBase::UtcT *& _tao_elem )

## Variable Documentation

const CORBA::Long _oc_TimeBase_IntervalT[]`[static]`

const CORBA::Long _oc_TimeBase_TimeT[]`[static]`

| Initializer:
    {
      TAO_ENCAP_BYTE_ORDER,
      31,
      ACE_NTOHL (0x49444c3a),
      ACE_NTOHL (0x6f6d672e),
      ACE_NTOHL (0x6f72672f),
      ACE_NTOHL (0x54696d65),
      ACE_NTOHL (0x42617365),
      ACE_NTOHL (0x2f54696d),
      ACE_NTOHL (0x65543a31),
      ACE_NTOHL (0x2e300000),
      6,
      ACE_NTOHL (0x54696d65),
      ACE_NTOHL (0x54000000),
      CORBA::tk_ulonglong,

    }